import {
  ConfigurationDomainGet,
  ConfigurationType,
} from '@mobicoop/configuration-module';

export const MATCH_CONFIG_ALGORITHM = 'algorithm';
export const MATCH_CONFIG_REMOTENESS = 'remoteness';
export const MATCH_CONFIG_USE_PROPORTION = 'useProportion';
export const MATCH_CONFIG_PROPORTION = 'proportion';
export const MATCH_CONFIG_USE_AZIMUTH = 'useAzimuth';
export const MATCH_CONFIG_AZIMUTH_MARGIN = 'azimuthMargin';
export const MATCH_CONFIG_MAX_DETOUR_DISTANCE_RATIO = 'maxDetourDistanceRatio';
export const MATCH_CONFIG_MAX_DETOUR_DURATION_RATIO = 'maxDetourDurationRatio';
export const PAGINATION_CONFIG_PER_PAGE = 'perPage';

export const MatchConfig: ConfigurationDomainGet[] = [
  {
    key: MATCH_CONFIG_ALGORITHM,
    type: ConfigurationType.STRING,
  },
  {
    key: MATCH_CONFIG_REMOTENESS,
    type: ConfigurationType.INT,
  },
  {
    key: MATCH_CONFIG_USE_PROPORTION,
    type: ConfigurationType.BOOLEAN,
  },
  {
    key: MATCH_CONFIG_PROPORTION,
    type: ConfigurationType.FLOAT,
  },
  {
    key: MATCH_CONFIG_USE_AZIMUTH,
    type: ConfigurationType.BOOLEAN,
  },
  {
    key: MATCH_CONFIG_AZIMUTH_MARGIN,
    type: ConfigurationType.INT,
  },
  {
    key: MATCH_CONFIG_MAX_DETOUR_DISTANCE_RATIO,
    type: ConfigurationType.FLOAT,
  },
  {
    key: MATCH_CONFIG_MAX_DETOUR_DURATION_RATIO,
    type: ConfigurationType.FLOAT,
  },
];

export const PaginationConfig: ConfigurationDomainGet[] = [
  {
    key: PAGINATION_CONFIG_PER_PAGE,
    type: ConfigurationType.INT,
  },
];
